<!DOCTYPE html>
<html>
    <head>
		<meta charset="utf-8">
        <title>PREMIERS PAS AVEC JS</title>
	</head>
	<style>
		input {
			width : 200px;
			height : 25px;
		}
		
		#calculatrice {
			width : 250px;
		}
	
		#calculatrice  div {
			width : 50px;
			height : 50px;
			background-color : lightgray;
			display : inline-block;
			text-align : center;
			box-sizing : border-box;
			padding-top : 20px;
			border : 1px solid black;
			margin : 2px;
			
		}
	
	</style>
	<body>
		<div id="calculatrice">
			<input id="resultat"></input>
			<div onclick="clickNumber(event)">1</div>
			<div onclick="clickNumber(event)">2</div>
			<div onclick="clickNumber(event)">3</div>
			<div onclick="clickNumber(event)">4</div>
			<div onclick="clickNumber(event)">5</div>
			<div onclick="clickNumber(event)">6</div>
			<div onclick="clickNumber(event)">7</div>
			<div onclick="clickNumber(event)">8</div>
			<div onclick="clickNumber(event)">9</div>
			<div onclick="clickNumber(event)">0</div>
			<div onclick="clickNumber(event)">*</div>
			<div onclick="clickNumber(event)">/</div>
			<div onclick="clickNumber(event)">+</div>
			<div onclick="clickNumber(event)">-</div>
			<div onclick="egal()">=</div>
			<div onclick="nettoie()">C</div>
		</div>
	</body>
	<script type="text/javascript">
		var resultat = document.getElementById("resultat");
	
		function clickNumber(event){
			var v = event.target.innerText;
			resultat.value+=v;
		}
		
		function egal(){
			var valeur = resultat.value;
			valeur = eval(valeur);
			resultat.value = valeur;
		}
		
		function nettoie(){
			resultat.value = "";
		}
	</script>
</html>

